#!/bin/bash
version=`cd SNAPSHOTS && ls -d v*.* | tail -1 | cut -c2-`
major=`echo $version | cut -d. -f1`
minor=`echo $version | cut -d. -f2`
micro=`echo $version | cut -d. -f3`

if [ "$1" = "major" ]; then
	major=$[major+1]
	minor=0
	micro=0
else 
	if [ "$1" = "minor" ]; then
        	minor=$[minor+1]
		micro=0
	else
		if [ "$1" = "micro" ]; then
       		 	micro=$[micro+1]
		else
			echo "usage: $0 major|minor|micro"
			exit 1
		fi
	fi
fi

dir=SNAPSHOTS/v`printf "%d.%d.%0.2d\n" $major $minor $micro`

mkdir $dir
cp -r TODO README INSTALL NEWS ChangeLog Makefile *.cc *.h docs scripts $dir 2> /dev/null
rm -f $dir/docs/panasync.{dvi,ps}
find $dir -name .\*.swp -exec rm -f {} \;
find $dir -name \*~ -exec rm -f {} \;
find $dir -name core -exec rm -f {} \;
chmod -R ugo-w $dir

exit 0
